QGIS Application - Bug report #12001
Processing "Keep n biggest parts" tool fails if n>=2
2015-01-18 01:26 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

No
No
fixed/implemented

Copied to github as #: 20205

Description
Python error is
Uncaught error while executing algorithm

Traceback (most recent call last):
Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 234, in execute

self.processAlgorithm(progress)

File "/usr/share/qgis/python/plugins/processing/script/ScriptAlgorithm.py", line 264, in processAlgorithm

exec(script) in ns
File "<string>", line 37, in <module>
TypeError: 'int' object is not iterable

Associated revisions

Revision cd556e65 - 2015-01-22 09:20 AM - Alexander Bruy

Merge pull request #1850 from SrNetoChan/Bug_12001

fix Processing Keep n biggest parts algorithm (fix #12001)

History

#1 - 2015-01-21 04:03 PM - Alexandre Neto

| have created a patch for this, please check the following pull request:

https://github.com/qgis/QGIS/pull/1850

#2 - 2015-01-22 12:20 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"cd556e6543c59efb9991889a033e95315be3ac01".

#3 - 2015-01-22 07:47 AM - Giovanni Manghi

- Resolution set to fixed/implemented
